package com.docus.server.enums;

import com.docus.infrastructure.core.db.enums.IIntegerEnum;

/**
 * 是否限制采集器类型
 */
public enum RestrictStateEnum implements IIntegerEnum {

    NO(0, "否"),

    YES(1, "是");

    private Integer value;
    private String display;

    RestrictStateEnum(Integer value, String display) {
        this.value = value;
        this.display = display;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDisplay() {
        return display;
    }
}
